package com.ruoyi.app.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.app.model.HarmlessTreatment;

/**
 * 无害化处理Service接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface IHarmlessTreatmentService 
{
    /**
     * 查询无害化处理
     * 
     * @param id 无害化处理主键
     * @return 无害化处理
     */
    public HarmlessTreatment selectHarmlessTreatmentById(Long id);

    /**
     * 查询无害化处理
     *
     * @param id 批次
     * @return 无害化处理生猪详情
     */
    public List<Map<String, String>> selectHarmlessDetail(Long id, String variety);

    /**
     * 查询无害化处理列表
     * 
     * @param harmlessTreatment 无害化处理
     * @return 无害化处理集合
     */
    public List<HarmlessTreatment> selectHarmlessTreatmentList(HarmlessTreatment harmlessTreatment);

    /**
     * 校验数量是否超出了入场数量
     *
     * @param harmlessTreatment 无害化处理
     * @return 无害化处理集合
     */
    public int checkTotalLessThanAmount(HarmlessTreatment harmlessTreatment);

    /**
     * 新增无害化处理
     * 
     * @param harmlessTreatment 无害化处理
     * @return 结果
     */
    public int insertHarmlessTreatment(HarmlessTreatment harmlessTreatment);

    /**
     * 修改无害化处理
     * 
     * @param harmlessTreatment 无害化处理
     * @return 结果
     */
    public int updateHarmlessTreatment(HarmlessTreatment harmlessTreatment);

    /**
     * 批量删除无害化处理
     * 
     * @param ids 需要删除的无害化处理主键集合
     * @return 结果
     */
    public int deleteHarmlessTreatmentByIds(Long[] ids);

    /**
     * 删除无害化处理信息
     * 
     * @param id 无害化处理主键
     * @return 结果
     */
    public int deleteHarmlessTreatmentById(Long id);
}
